Subject: Need to use optimized version of memcpy/memcmp in x86_64 application

From: Srinivasan J <[email-masked]>
Date: Sat, 16 May 2020 10:43:37 +0530

Hi,
    I need to use optimized version of memcpy/memcmp functions in an
application running in Alpine Linux 3.11. Since musl-libc does not
support AVX/SSE4.1 instructions in memcpy/memcmp functions, please let
me know what options I have.

I was thinking If i could use glibc-compat from
https://github.com/sgerrand/alpine-pkg-glibc/releases . Since I am
also worried about compatibility/stability, I am looking for guidance
from users here.

Regards,
Srini